#include <list>
#include <string>

#include "Input.hpp"
#include "../../Defines.hpp"
#include "File.hpp"
#include "InputBase.hpp"

using namespace lockdown::io::in;

Input::Input() : in(0) { }
Input::~Input() { delete in; }

Input* Input::inst() {
	static Input* myself = new Input;
	return myself;
}
	
void Input::useFile(const std::string& filename) {
	InputBase *ib = new File(filename);
	delete in;
	in = ib;
}
	
void Input::read(std::list<std::string>& readTo) {
	if(in == 0)
		useFile(DEFAULT_CONF_PATH);
	in->read(readTo);
}
