#ifndef LOCKDOWN__IO_IN_INPUT_HPP
#define LOCKDOWN_IO_IN_INPUT_HPP

#include <list>
#include <string>

#include "../in.hpp"
#include "InputBase.hpp"

class lockdown::io::in::Input  {
	lockdown::io::in::InputBase *in;
	
	Input();
	public:
	static Input* inst();
	
	void useFile(const std::string& filename);
	void read(std::list<std::string>& readTo);
	~Input();
};

#endif
