#ifndef LOCKDOWN_IO_OUT_OUTPUT_HPP
#define LOCKDOWN_IO_OUT_OUTPUT_HPP

#include <string>

#include "../out.hpp"

class lockdown::io::out::Output {
	lockdown::io::out::OutputBase* out;
	bool verbose_;
	
	Output();
	
	public:
	enum Type {INFO, ERROR};

	static lockdown::io::out::Output* inst();
    
	void verbose(bool ver) { verbose_ = ver; }
	bool verbose() { return verbose_; }
	void write(Type t, const std::string& message);
	void useStdout();
	void useSyslog(const std::string& programname);
	~Output();
};

#endif
