#ifndef LOCKDOWN_IO_OUT_STDOUT_HPP
#define LOCKDOWN_IO_OUT_STDOUT_HPP

#include <string>
#include <iostream>

#include "../out.hpp"
#include "Output.hpp"
#include "OutputBase.hpp"

class lockdown::io::out::Stdout : public lockdown::io::out::OutputBase {
	public:
	void write(lockdown::io::out::Output::Type t, const std::string& message) {
		if(t == lockdown::io::out::Output::ERROR)
			std::cerr<<message;
		else
			std::cout<<message;
	}
};

#endif
