#ifndef LOCKDOWN_HPP
#define LOCKDOWN_HPP

// lockdown is the top namespace
namespace lockdown  {
	
	/*	Namespace for the functions and
			classes that handle files and 
			provides output to the user
	*/
	namespace io {}
	
	/*	Namespace for the functions that
			modify the systems conf files
	*/
	namespace modifiers {}
	
	//Will execute the options in the conf file
	class Executer; 
	class ChFile; 
		
	//The top exception class in lockdown
	class LockdownException;

	class SyntaxErrorException;
}

#endif
