#ifndef LOCKDOWN_MODIFYERS_HPP
#define LOCKDOWN_MODIFYERS_HPP

#include <list>
#include <map>
#include <string>

typedef std::list<std::string> listS;

namespace lockdown { namespace modifiers  {
	void modify(listS& current, listS& changes);
	void modifyKernel(listS& current, listS& changes);
	void modifyMount(listS& current, listS& changes);
	void modifyLoginClass(listS& current, std::multimap<std::string, std::string>& changes);
	void modifyTTYS(listS& current, bool allowSingleUserLogin, bool allowDirectRootLogin);
}}

#endif
