/*	'modifyTTYS' is for adding options
		to the ttys current
*/

#include <list>
#include <string>

#include "../modifiers.hpp"

using namespace std;

void lockdown::modifiers::modifyTTYS(listS& current, bool allowSingleUserLogin, bool allowDirectRootLogin) {
	listS::iterator currentReader = current.begin();
	for(;currentReader != current.end(); currentReader++) {
		if((*currentReader).size() == 0 || (*currentReader).at(0) == '#') 
			continue;
		
		string::size_type pos = (*currentReader).find("secure");
		if(pos != string::npos) {
			
			if((*currentReader).find("console") != string::npos) {
				if((*currentReader).at(pos - 1) != 'n') { //It's "secure" and not "insecure"
					if(!allowSingleUserLogin)
						(*currentReader).insert(pos, "in");
				}
				else {								//It's "insecure"
					if(allowSingleUserLogin)
						(*currentReader).erase(pos - 2, 2);
				}
				continue;
			}

			if((*currentReader).at(pos - 1) != 'n') { 		//It's "secure" and not "insecure"
				if(!allowDirectRootLogin)
					(*currentReader).insert(pos, "in");
			}
			else {								//It's "insecure"
				if(allowDirectRootLogin)
					(*currentReader).erase(pos - 2, 2);
			}
		}
	}
}
